package com.aciedge.cotplitool;

/**
 * @author aciedge.com
 * @author <a href="mailto:tdnorbra@nps.edu?subject=com.aciedge.cotplitool.ArgsProcessor">Terry Norbraten, NPS MOVES</a>
 */
public class ArgsProcessor {
   public static boolean processArgs(String[] args) {
      boolean processingSuccess = false;

      try {
         if (args[0].equalsIgnoreCase(Constants.PERFORMANCE_TEST_COT_SENDING_OPTION)) {
            Model.operationMode = Model.OperationMode.SEND_COT_PERFORMANCE_TEST;
            Model.protocol = args[1];
            Model.cotDestinationIP = args[2];
            Model.cotDestinationPort = Integer.parseInt(args[3]);
            Model.cotNumberUniqueEntities = Integer.parseInt(args[4]);
            Model.cotNumberPLIPerSec = Integer.parseInt(args[5]);
            processingSuccess = true;
         }
      } catch (NumberFormatException var3) {
         processingSuccess = false;
      }

      if (!processingSuccess) {
         printUsage();
      }

      return processingSuccess;
   }

   private static void printUsage() {
      System.out.println("======== CoT PLI Tool v." + Constants.VERSION_NUMBER + " ========");
      System.out.println("Usage:");
      System.out.println("java -jar -Djava.net.preferIPv4Stack=true CoTPLITool.jar " + Constants.PERFORMANCE_TEST_COT_SENDING_OPTION + " <CoT PLI Protocol tcp|udp> <CoT PLI Destination IP Address> <CoT PLI Destination Port> <Number Unique Entities> <Number PLI Per Second>");
   }
}
