package com.aciedge.cotplitool;

import com.aciedge.cotplitool.threads.CoTSendingThread;
import java.util.Scanner;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 * @author aciedge.com
 * @author <a href="mailto:tdnorbra@nps.edu?subject=com.aciedge.cotplitool.Main">Terry Norbraten, NPS MOVES</a>
 */
public class Main {
   private static CoTSendingThread cotSendingThread;

   public static void main(String[] args) {
      boolean startupSuccess = ArgsProcessor.processArgs(args);
      if (startupSuccess) {
         if (Model.operationMode == Model.OperationMode.SEND_COT_PERFORMANCE_TEST)
            startCoTSending();

          try (Scanner keyboard = new Scanner(System.in)) {
              boolean exit = false;
              String input;
              
              while(!exit) {
                  System.out.println("Running " + Model.protocol.toUpperCase() + " server... Type quit or exit to exit:");
                  input = keyboard.nextLine();
                  if (input != null && ("quit".equals(input) || "exit".equals(input))) {
                      System.out.println("Exiting...");
                      
                      try {
                          cotSendingThread.exit();
                          cotSendingThread.join(2500L);
                          cotSendingThread = null;
                      } catch (InterruptedException var6) {
                          Logger.getLogger(Main.class.getName()).log(Level.SEVERE, null, var6);
                      }
                      
                      exit = true;
                  }
              }
          }
      }
   }

   private static void startCoTSending() {
      cotSendingThread = new CoTSendingThread();
      cotSendingThread.setDaemon(true);
      cotSendingThread.start();
   }
}
