# CoTMsgReceiver
A Curson on Target (CoT) Message Receiver and DIS PDU transmitter

This project is a conglomeration of three independent java based projects that
support and process CoT messages.

    1) CoT Test TX
    This project generates CoT messages and transmits them over the network via
    TCP/UDP (user specified).

    2) CoTreceiver
    This project takes the Mitre developed Cursor-on-Target Software Development
    Kit (SDK) Version 1.0.1 (23 April 2013) as its base CoT message processor
    and provides a custom parser class to handle incomming/received CoT
    messages. DIS PDUs are then re-transmitted over a multi-cast channel
    populated with pertinent CoT message data. The PDUs are recorded to a
    PduCapture log in the /pduLog directory. Also, individually captured CoT
    messages are written to file in a timestamped directory in the /log
    directory.

    3) CoT Software Development Kit (SDK) Version 1.0.1 (23 April 2013)

The project is ready to run out of the box as a NetBeans IDE project.

Select either the udp or tcp home configuration in the IDE, then select the
IDE's run command. By default, the runner will only generate 5 Cot messages.

Application arguments:
1) Specify IP protocol: udp | tcp
2) Determine your machine's IP address via:
    ifconfig (*nix)
    ipconfig (win)
    or, just state "localhost"
3) Specify port: udp -> 9999
                 tcp -> 9998
4) Specify unique # of entities
5) Specify PLI msgs per second

--performanceTestSendCoT tcp 192.168.1.13 9998 1 1

or

--performanceTestSendCoT udp 192.168.1.13 9999 1 1
