# PCAPNG
====

## DFDL Schemas for PCAPNG 1.0 format

[PCAPNG format standard] (https://www.ietf.org/id/draft-tuexen-opsawg-pcapng-03.html)

Based on PCAP 2.4 as described at http://wiki.wireshark.org/Development/LibpcapFileFormat, 
with support for IPv4 (UDP, TCP, ICMP) and IPv6 (TCP, UDP) packet types and protocols.

[Support for Address Resolution Protocol (ARP) not yet implemented] (https://issues.apache.org/jira/browse/DAFFODIL-1830)

These schemas work with Apache Daffodil, but not with IBM DFDL as the latter 
does not yet support the dfdl:inputValueCalc and dfdl:hiddenGroupRef properties.

## Notes:

You must bind the external variable dfdl:byteOrder (defaults to "bigEndian") if 
you want to parse a littleEndian pcapng file and write it out littleEndian. It 
will parse fine, but when writing out will use bigEndian by default, unless you 
bind the external variable. This has been accomplished manually in 
[binaryDynamicByteOrder.dfdl.xsd] (src/main/resources/edu/nps/moves/pcapng/xsd/binaryDynamicByteOrder.dfdl.xsd)
