/* Copyright (c) 1995-2023 held by the author(s).  All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

    * Redistributions of source code must retain the above copyright
      notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright
      notice, this list of conditions and the following disclaimer
      in the documentation and/or other materials provided with the
      distribution.
    * Neither the names of the Naval Postgraduate School (NPS)
      Modeling Virtual Environments and Simulation (MOVES) Institute
      (https://www.nps.edu and https://my.nps.edu/web/moves)
      nor the names of its contributors may be used to endorse or
      promote products derived from this software without specific
      prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
POSSIBILITY OF SUCH DAMAGE.
*/
package edu.nps.moves.pcapng;

import org.apache.daffodil.tdml.Runner;

import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;

/** Transformed from TestPCAP.scala
 *
 * @author <a href="mailto:tdnorbra@nps.edu?subject=edu.nps.moves.pcapng.PCAPNGTest">Terry D. Norbraten</a>
 */
public class PCAPNGTest {
    static Runner runner;
    
    @BeforeClass
    public static void setUpClass() {
        runner = new Runner("/edu/nps/moves/pcapng/", "test.tdml");
    }
    
    @AfterClass
    public static void tearDownClass() {
        runner.reset();
        runner = null;
    }
    
    @Test 
    public void test_pcapng_parse() { 
        runner.runOneTest("pcapng_test_parse"); 
    }
    
    @Test 
    public void test_pcapng_unparse() { 
        runner.runOneTest("pcapng_test_unparse");
    }
    
}
